## ros-noetic-grid-map-ros 1.6.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1)
project(grid_map_ros)

set(CMAKE_CXX_FLAGS "-std=c++11 ${CMAKE_CXX_FLAGS}")

set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

## Find catkin macros and libraries
find_package(catkin REQUIRED COMPONENTS
  roscpp
  grid_map_core
  grid_map_msgs
  grid_map_cv
  sensor_msgs
  nav_msgs
  std_msgs
  geometry_msgs
  cv_bridge
  rosbag
  tf
  visualization_msgs
)

## System dependencies are found with CMake's conventions
#find_package(Eigen3 REQUIRED)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  INCLUDE_DIRS
    include
  LIBRARIES
    ${PROJECT_NAME}
  CATKIN_DEPENDS
    roscpp
    grid_map_core
    grid_map_msgs
    grid_map_cv
    sensor_msgs
    nav_msgs
    std_msgs
    geometry_msgs
    cv_bridge
    rosbag
    tf
    visualization_msgs
  DEPENDS
)

###########
## Build ##
###########

## Specify additional locations of header files
include_directories(
  include
  SYSTEM
    ${catkin_INCLUDE_DIRS}
    ${EIGEN3_INCLUDE_DIR}
)

## Declare a cpp library
add_library(${PROJECT_NAME}
  src/GridMapRosConverter.cpp
  src/GridMapMsgHelpers.cpp
  src/PolygonRosConverter.cpp
)

target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

add_dependencies(${PROJECT_NAME}
  ${catkin_EXPORTED_TARGETS}
)

#############
## Install ##
#############

# Mark executables and/or libraries for installation
install(
  TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Mark cpp header files for installation
install(
  DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.hpp"
)

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pthread")

  ## Add gtest based cpp test target and link libraries
  catkin_add_gtest(${PROJECT_NAME}-test
    test/test_grid_map_ros.cpp
    test/GridMapRosTest.cpp
  )
  target_include_directories(${PROJECT_NAME}-test PRIVATE
    include
  )
  target_include_directories(${PROJECT_NAME}-test SYSTEM PUBLIC
    ${catkin_INCLUDE_DIRS}
    ${EIGEN3_INCLUDE_DIR}
  )
  target_link_libraries(${PROJECT_NAME}-test
    ${PROJECT_NAME}
  )

  ###################
  ## Code_coverage ##
  ###################
  find_package(cmake_code_coverage QUIET)
  if(cmake_code_coverage_FOUND)
    add_gtest_coverage(
      TEST_BUILD_TARGETS
        ${PROJECT_NAME}-test
    )
  endif()
endif()

#################
## Clang_tools ##
#################
find_package(cmake_clang_tools QUIET)
if(cmake_clang_tools_FOUND)
  add_default_clang_tooling(
    DISABLE_CLANG_FORMAT
  )
endif(cmake_clang_tools_FOUND)

=== debian/changelog ===
ros-noetic-grid-map-ros (1.6.4-1buster) buster; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Thu, 03 Dec 2020 23:00:00 -0000

ros-noetic-grid-map-ros (1.6.2-1buster) buster; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Sun, 13 Oct 2019 22:00:00 -0000

ros-noetic-grid-map-ros (1.6.1-1buster) buster; urgency=high

  * Updated host changes.
  * Updated author e-mail address.
  * Contributors: Peter Fankhauser, Péter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Tue, 26 Feb 2019 23:00:00 -0000

ros-noetic-grid-map-ros (1.6.0-1buster) buster; urgency=high

  * Fixed the constructor for the ros::Time in saveToBag to correctly use fromNSec.
  * Fixed cpp-check warnings and errors.
  * Removed dependency of grid_map_ros on grid_map_costmap_2d.
  * Contributors: Perry Franklin, Péter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Thu, 23 Nov 2017 23:00:00 -0000

ros-noetic-grid-map-ros (1.5.2-1buster) buster; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 24 Jul 2017 22:00:00 -0000

ros-noetic-grid-map-ros (1.5.1-1buster) buster; urgency=high

  * Added backwards compatibility for costmap_2d conversion in grid_map_ros (#111 <https://github.com/anybotics/grid_map/issues/111>).
  * Contributors: Peter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 24 Jul 2017 22:00:00 -0000

ros-noetic-grid-map-ros (1.5.0-1buster) buster; urgency=high

  * Added new ROS converter for polygon to triangle lists.
  * Move costmap_2d conversion into separate package.
  * Contributors: Peter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 17 Jul 2017 22:00:00 -0000

ros-noetic-grid-map-ros (1.4.2-1buster) buster; urgency=high

  * Added conversion for Costmap2D from ROS Navigation (#84 <https://github.com/anybotics/grid_map/issues/84>).
  * Added Grid Map message traits to simplify code of the Grid Map RViz plugin (#87 <https://github.com/anybotics/grid_map/issues/87>).
  * Contributors: Peter Fankhauser, Stefan Kohlbrecher, Daniel Stonier

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 23 Jan 2017 23:00:00 -0000

ros-noetic-grid-map-ros (1.4.1-1buster) buster; urgency=high

  * Improved transformation of images to color grid map layers.
  * Contributors: Peter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Sat, 22 Oct 2016 22:00:00 -0000

ros-noetic-grid-map-ros (1.4.0-1buster) buster; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Sun, 21 Aug 2016 22:00:00 -0000

ros-noetic-grid-map-ros (1.3.3-1buster) buster; urgency=high

  * Release for ROS Kinetic.
  * Contributors: Peter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 09 May 2016 22:00:00 -0000

ros-noetic-grid-map-ros (1.3.2-1buster) buster; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 09 May 2016 22:00:00 -0000

ros-noetic-grid-map-ros (1.3.1-1buster) buster; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 09 May 2016 22:00:00 -0000

ros-noetic-grid-map-ros (1.3.0-1buster) buster; urgency=high

  * Added new convenience function to change the resolution of grid maps with help of OpenCV interpolation methods (#60 <https://github.com/anybotics/grid_map/issues/60>).
  * Separated OpenCV to grid map conversions to grid_map_cv package (also fixes #56 <https://github.com/anybotics/grid_map/issues/56>)
  * Improved efficiency and generalized image to grid map conversion.
  * Added image conversion for different encodings and depth resolutions.
  * Fix scaling of image value to height conversion.
  * Improved efficiency of the grid map to point cloud conversion by omitting invalid cells.
  * Contributors: Peter Fankhauser, Daniel Stonier, Martin Wermelinger, Dominic Jud

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 25 Apr 2016 22:00:00 -0000

ros-noetic-grid-map-ros (1.2.0-1buster) buster; urgency=high

  * Changed the package name from grid_map to grid_map_ros and made grid_map a metapackage (#34 <https://github.com/anybotics/grid_map/issues/34>).
  * Added new occupancy grid to grid map converter (#33 <https://github.com/anybotics/grid_map/issues/33>).
  * Contributors: Peter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Wed, 02 Mar 2016 23:00:00 -0000

ros-noetic-grid-map-ros (1.1.3-1buster) buster; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Sun, 10 Jan 2016 23:00:00 -0000

ros-noetic-grid-map-ros (1.1.2-1buster) buster; urgency=high

  * Should fix errors on build server regarding Eigen3 and visualization_msgs dependencies.

 -- Maximilian Wulf <mwulf@anybotics.com>  Sun, 10 Jan 2016 23:00:00 -0000

ros-noetic-grid-map-ros (1.1.1-1buster) buster; urgency=high

  * Changes to CMakeLists.txt to enable compatibility with Ubuntu Saucy.

 -- Maximilian Wulf <mwulf@anybotics.com>  Sun, 10 Jan 2016 23:00:00 -0000

ros-noetic-grid-map-ros (1.1.0-1buster) buster; urgency=high

  * added installation instructions in CMakeLists
  * new conversion from grid map to image
  * general improvements and bugfixes

 -- Maximilian Wulf <mwulf@anybotics.com>  Thu, 07 Jan 2016 23:00:00 -0000

ros-noetic-grid-map-ros (1.0.0-1buster) buster; urgency=high

  * release for Springer ROS Book Chapter

 -- Maximilian Wulf <mwulf@anybotics.com>  Thu, 19 Nov 2015 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-grid-map-ros
Section: misc
Priority: optional
Maintainer: Maximilian Wulf <mwulf@anybotics.com>
Build-Depends: debhelper (>= 9.0.0), libgtest-dev, ros-noetic-catkin, ros-noetic-cv-bridge, ros-noetic-geometry-msgs, ros-noetic-grid-map-core, ros-noetic-grid-map-cv, ros-noetic-grid-map-msgs, ros-noetic-nav-msgs, ros-noetic-rosbag, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-tf, ros-noetic-visualization-msgs
Homepage: http://github.com/anybotics/grid_map
Standards-Version: 3.9.2

Package: ros-noetic-grid-map-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-cv-bridge, ros-noetic-geometry-msgs, ros-noetic-grid-map-core, ros-noetic-grid-map-cv, ros-noetic-grid-map-msgs, ros-noetic-nav-msgs, ros-noetic-rosbag, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-tf, ros-noetic-visualization-msgs
Description: ROS interface for the grid map library to manage two-dimensional grid maps with multiple data layers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-grid-map-ros//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
